package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysArea;

import java.util.List;

/**
 * 统计行政区Service接口
 * 
 * @author voluntary
 * @date 2023-08-04
 */
public interface ISysAreaService 
{
    public List<SysArea> selectSimpleSysAreaList(SysArea sysArea);

    /**
     * 查询统计行政区
     * 
     * @param id 统计行政区主键
     * @return 统计行政区
     */
    public SysArea selectSysAreaById(Long id);

    /**
     * 查询统计行政区列表
     * 
     * @param sysArea 统计行政区
     * @return 统计行政区集合
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * 新增统计行政区
     * 
     * @param sysArea 统计行政区
     * @return 结果
     */
    public int insertSysArea(SysArea sysArea);

    /**
     * 修改统计行政区
     * 
     * @param sysArea 统计行政区
     * @return 结果
     */
    public int updateSysArea(SysArea sysArea);

    /**
     * 批量删除统计行政区
     * 
     * @param ids 需要删除的统计行政区主键集合
     * @return 结果
     */
    public int deleteSysAreaByIds(Long[] ids);

    /**
     * 删除统计行政区信息
     * 
     * @param id 统计行政区主键
     * @return 结果
     */
    public int deleteSysAreaById(Long id);
}
